import http from "@/http/http";
import {CustomerRateQueryParam,SubmitCustomerRateModel} from "@/api/customerrate/CustomerRateModel";
enum Api{
    getCustomerRateList = '/api/customerRate/list',   
    add = '/api/customerRate',
    edit = '/api/customerRate',
    delete = '/api/customerRate'
}

//查询列表
export const getCustomerRateListApi = async(parms:CustomerRateQueryParam) =>{
    return  await http.get(Api.getCustomerRateList,parms)
}

//新增
export const addCustomerRateApi = async (parms:SubmitCustomerRateModel) =>{   
    return await http.post(Api.add,parms)
}
//编辑
export const editCustomerRateApi = async (parms:SubmitCustomerRateModel) =>{   
    return await http.put(Api.edit,parms)
}
//删除
export const deleteCustomerRateApi = async (parms:any) =>{
    return await http.delete(Api.delete,parms)
}